# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Token
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Token API
Name:		php-horde-Horde_Token
Version:	1.1.7
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	179354cae82ba988d9e3daaed9e078bd
URL:		https://github.com/horde/horde/tree/master/framework/Token/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Translation < 2.0.0
Requires:	php-horde-Horde_Url < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-horde-Horde_Db
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Db.*)

%description
The Horde_Token:: class provides a common abstracted interface into
the various token generation mediums. It also includes all of the
functions for retrieving, storing, and checking tokens.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Token.php
%{php_pear_dir}/Horde/Token
%{php_pear_dir}/data/Horde_Token
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> df625c7
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 4638344
- updated to: 1.1.7

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 5811b23
- updated to: 1.1.6

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 257e0b7
- updated to: 1.1.0

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> df5f5e5
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> bcb5b51
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> ce7f9ca
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 842503f
- horde h4 pear packages

